package com.bonus.canteen.core.notice.print.v2.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@TableName("notice_print_template_ext_setting")
@ApiModel(
   value = "NoticePrintTemplateExtSetting对象",
   description = "标签拓展模版设置"
)
public class NoticePrintTemplateExtSetting implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("设置id")
   @TableId
   private Long settingId;
   @ApiModelProperty("模版id")
   private Long templateId;
   @ApiModelProperty("x轴坐标")
   private Integer settingX;
   @ApiModelProperty("y轴坐标")
   private Integer settingY;
   @ApiModelProperty("文字宽度放大倍率1-10")
   private Integer settingW;
   @ApiModelProperty("文字高度放大倍率1-10")
   private Integer settingH;
   @ApiModelProperty("字段类型（1:动态，2:固定）")
   private Integer settingType;
   @ApiModelProperty("固定内容值")
   private String settingValue;

   public Long getSettingId() {
      return this.settingId;
   }

   public Long getTemplateId() {
      return this.templateId;
   }

   public Integer getSettingX() {
      return this.settingX;
   }

   public Integer getSettingY() {
      return this.settingY;
   }

   public Integer getSettingW() {
      return this.settingW;
   }

   public Integer getSettingH() {
      return this.settingH;
   }

   public Integer getSettingType() {
      return this.settingType;
   }

   public String getSettingValue() {
      return this.settingValue;
   }

   public NoticePrintTemplateExtSetting setSettingId(final Long settingId) {
      this.settingId = settingId;
      return this;
   }

   public NoticePrintTemplateExtSetting setTemplateId(final Long templateId) {
      this.templateId = templateId;
      return this;
   }

   public NoticePrintTemplateExtSetting setSettingX(final Integer settingX) {
      this.settingX = settingX;
      return this;
   }

   public NoticePrintTemplateExtSetting setSettingY(final Integer settingY) {
      this.settingY = settingY;
      return this;
   }

   public NoticePrintTemplateExtSetting setSettingW(final Integer settingW) {
      this.settingW = settingW;
      return this;
   }

   public NoticePrintTemplateExtSetting setSettingH(final Integer settingH) {
      this.settingH = settingH;
      return this;
   }

   public NoticePrintTemplateExtSetting setSettingType(final Integer settingType) {
      this.settingType = settingType;
      return this;
   }

   public NoticePrintTemplateExtSetting setSettingValue(final String settingValue) {
      this.settingValue = settingValue;
      return this;
   }

}
